export const SALT_OR_ROUNDS = +process.env.SALT_OR_ROUNDS ?? 10;
export enum STATUS {
  ACTIVE = 'active',
  CANCEL = 'cancel',
  CONFIRMED = 'confirmed',
  DRAFT = 'draft',
  EXPIRED = 'expired',
  INACTIVE = 'inactive',
  PARTIAL_REFUND = 'partial refund',
  PENDING = 'pending',
  PROCESS_REFUND = 'proses refund',
  REFUNDED = 'refunded',
  REJECTED = 'rejected',
  SETTLED = 'settled',
  WAITING = 'waiting',
}

export enum ORDER_TYPE {
  ASC = 'ASC',
  DESC = 'DESC',
}

export enum CONNECTION_NAME {
  DEFAULT = 'default',
}

export enum METHOD {
  POST = 'POST',
  GET = 'GET',
  PUT = 'PUT',
  PATCH = 'PATCH',
  DELETE = 'DELETE',
}

export enum OPERATION {
  CREATE = 'Create',
  READ = 'Read',
  UPDATE = 'Update',
  UPDATE_BATCH = 'Batch Update',
  DELETE = 'Delete',
  DELETE_BATCH = 'Batch Delete',
  SYNC = 'Sync',
}

export const BLANK_USER = {
  id: null,
  name: null,
  role: null,
  user_privilege_id: null,
};

export const EMPTY_UUID = '00000000-0000-0000-0000-000000000000';
