import { ConfigModule } from '@nestjs/config';
import { CqrsModule } from '@nestjs/cqrs';
import { MidtransController } from './infrastructure/midtrans.controller';
import { MidtransService } from './data/services/midtrans.service';
import { Module } from '@nestjs/common';

@Module({
  imports: [
    ConfigModule.forRoot(),
    //   TypeOrmModule.forFeature(
    //     [
    //     ],
    //     CONNECTION_NAME.DEFAULT,
    //   ),
    CqrsModule,
  ],
  controllers: [MidtransController],
  providers: [MidtransService],
})
export class MidtransModule {}
