import { TABLE_NAME } from 'src/core/strings/constants/table.constants';
import { FaqEntity } from '../../domain/entities/faq.entity';
import { Column, Entity } from 'typeorm';
import { BaseStatusModel } from 'src/core/modules/data/model/base-status.model';

@Entity(TABLE_NAME.FAQ)
export class FaqModel extends BaseStatusModel<FaqEntity> implements FaqEntity {
  @Column('varchar', { name: 'title', nullable: true })
  title: string;

  @Column('text', { name: 'description', nullable: true })
  description: string;
}
